<script setup lang="ts">
import { useRoute, useRouter } from "vue-router";

const router = useRouter();
const route = useRoute();
</script>
<template>
  <div>Show Param</div>
  <!-- /show-param/123?abc=1 -->
  <div>{{ route.params }}</div>
  <!-- result: { "id": "123" } -->
  <div>{{ route.query }}</div>
  <!-- result: { "abc": "1" } -->
</template>
